<html>

    <head>

	<title>NEMO Trusting Dashboard</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<script type="text/javascript" src="html/sortabletable.js"></script>
	<link type="text/css" rel="StyleSheet" href="html/sortabletable.css" />
	<link rel="stylesheet" href="html/tab-view.css" type="text/css" media="screen">
	<script type="text/javascript" src="html/tab-view.js"></script>
	<style type="text/css">
	 body    { font-family:Helvetica, Arial, Sans-Serif;                      	    	 }
	 a1      { color:#000000; text-decoration:none;                           	    	 }
	 .title  { background:#AABBBB; font-weight:bold;                          	    	 }
	 .even   { background:#eee;                                               	    	 }
	 .odd    { background:#ddd;                                               	    	 }
	 td      { font-family:Arial    ; font-size:10pt; padding:1px 5px 1px 5px;	    	 }
	 .td1    { font-family:Monospace; font-size:10pt; padding:1px 5px 1px 5px;	    	 }
	 .table1 { background:#E6EEC9; border-collapse:collapse;                  	    	 }
	 .table2 { background:#E6EEC9; border-collapse:collapse;                  	    	 }
	 .myh3   { font-weight:bold; font-style:italic; font-family:Arial, Helvetica, sans-serif
                   background-color:#FFD700; border:2px outset #FFFFFF
                   padding: 1px 20px 1px 20px; width:120px; -moz-border-radius:6px 6px 6px 6px;  }
	</style>

    </head>

    <body>

	<?php
		ini_set( 'display_errors', 'Off' ); error_reporting( E_ALL );
		include 'read_trusting.php';

	        $DODS_TGCC="https://vesg.ipsl.upmc.fr/thredds/fileServer/store/martin/trusting";
        	$DODS_IDRIS="http://prodn.idris.fr/thredds/fileServer/ipsl_public/romr005/trusting";
	        if ( ! get_headers( 'https://vesg.ipsl.upmc.fr/thredds/catalog/catalog.html' ) ) {
        	        $DIR_TGCC="../src/martin";
	        }
        	else {
	                $DIR_TGCC="${DODS_TGCC}";
	        }
	        if ( ! get_headers( 'http://prodn.idris.fr/thredds/catalog/catalog.html' ) ) {
	                $DIR_IDRIS="../src/romr005";
	        }
        	else {
	                $DIR_IDRIS="${DODS_IDRIS}";
		}

		$LIST_BCHS = array( 'nemo_v3_6_STABLE', 'trunk' );
		$LIST_CFGS = array( 'ORCA2_LIM_PISCES', 'ORCA2_LIM3_PISCES', 'ORCA1_LIM3_PISCES', 'AMM12' );
		$LIST_LOGS = array( 'martin', 'romr005' );
		$i = 1; $j = 1; $k = 1;
	?>

	<!---Branchs Tabs-->
	<div id="dhtmlgoodies_tabViewBch">

	    <?php foreach ( $LIST_BCHS as $BCH ) { ?>

		<!--Configurations Tabs-->
		<div class="dhtmlgoodies_aTab">
 		    <div id="dhtmlgoodies_tabViewCfg<?= $i++ ?>">

			<?php foreach ( $LIST_CFGS as $CFG ) { ?>

			    <div class="dhtmlgoodies_aTab">
				<div id="dhtmlgoodies_tabViewHPCC<?= $j++ ?>">

				    <?php
					$PATH_INFO = sprintf( "%s/%s/%s", $DIR_TGCC, $CFG, $BCH );
					if (    ( $BCH == "nemo_v3_6_STABLE" && $CFG == "ORCA2_LIM3_PISCES" )
					     || ( $BCH == "trunk"            && $CFG == "ORCA2_LIM_PISCES"  )
					     || ( $BCH == "trunk"            && $CFG == "ORCA1_LIM3_PISCES" ) ) {
						echo "<p><u>This configuration is not or no longer monitored by the tool.</u></p>";
					}
					else {
						echo file_get_contents( "$PATH_INFO/trusting_info.html" );
					}
				    ?>

				    <!--HPCC Tabs-->
				    <?php foreach ( $LIST_LOGS as $LOG ) { ?>

					<div class="dhtmlgoodies_aTab">

					    <?php
						if ( $BCH == "nemo_v3_6_STABLE" && $CFG == "ORCA2_LIM3_PISCES" ) {
							echo "</div>";
							continue;
						}
                                                else {
							if ( $LOG == "martin" ) {
								$FILE = sprintf( "%s/%s/%s/trusting_martin_X64_CURIE_cron.txt", $DIR_TGCC , $CFG, $BCH );
							}
							else {
								$FILE = sprintf( "%s/%s/%s/trusting_romr005_X64_ADA_at.txt"   , $DIR_IDRIS, $CFG, $BCH );
							}
						}
					    ?>

                                            <a href="<?= $FILE ?>">Plain text</a>

					    <table class="sort-table" id="table-<?= $k ?>" cellspacing="1">
                                                <?php read_trusting("$FILE") ?>
					    </table>

					    <script type="text/javascript">
						var st = new SortableTable(document.getElementById("table-<?= $k++ ?>"),
								[<?php print substr(str_repeat("\"String\",", $num), 0, -1); ?>]);
						st.sort(0, true);
					    </script>

					</div>

				    <?php } ?>

				</div>
			    </div>

			<?php } ?>

		    </div>
		</div>

	    <?php } ?>

	</div>

	<script type="text/javascript">
	 initTabs('dhtmlgoodies_tabViewBch'           ,
		  Array('<B> &nbsp;3.6&nbsp;   </B>',
			'<B> &nbsp;trunk&nbsp; </B>' ),
		  0,1815,20000                        ,
		  Array(false)                         )
	 //minus 33px
	 initTabs('dhtmlgoodies_tabViewCfg1'                                         ,
		  Array('<B> &nbsp;ORCA2_LIM_PISCES&nbsp;  </B>'                   ,
	       		'<B style="color: red"> &nbsp;ORCA2_LIM3_PISCES&nbsp; </B>',
			'<B> &nbsp;ORCA1_LIM3_PISCES&nbsp; </B>'                   ,
	       		'<B> &nbsp;AMM12&nbsp;             </B>'                    ),
		  0,1803,19967                                                       ,
		  Array(false)                                                        )
	 initTabs('dhtmlgoodies_tabViewCfg2'                                         ,
		  Array('<B style="color: red"> &nbsp;ORCA2_LIM_PISCES&nbsp;  </B>',
                        '<B> &nbsp;ORCA2_LIM3_PISCES&nbsp; </B>'                   ,
	       		'<B style="color: red"> &nbsp;ORCA1_LIM3_PISCES&nbsp; </B>',
	       		'<B> &nbsp;AMM12&nbsp;             </B>'                    ),
		  0,1803,19967                                                       ,
		  Array(false)                                                        )
	 //minus 157px or minus 190px from top tab
	 initTabs('dhtmlgoodies_tabViewHPCC1'                        ,
		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
		  0,1791,19810                                       ,
		  Array(false)                                        )
	 initTabs('dhtmlgoodies_tabViewHPCC2'                        ,
		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
		  0,1791,19810                                       ,
		  Array(false)                                        )
	 initTabs('dhtmlgoodies_tabViewHPCC3'                        ,
		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
		  0,1791,19810                                       ,
		  Array(false)                                        )
	 initTabs('dhtmlgoodies_tabViewHPCC4'                        ,
		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
		  0,1791,19810                                       ,
		  Array(false)                                        )
	 initTabs('dhtmlgoodies_tabViewHPCC5'                        ,
		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
		  0,1791,19810                                       ,
		  Array(false)                                        )
	 initTabs('dhtmlgoodies_tabViewHPCC6'                        ,
		  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
			'<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
		  0,1791,19810                                       ,
		  Array(false)                                        )
         initTabs('dhtmlgoodies_tabViewHPCC7'                        ,
                  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
                        '<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
                  0,1791,19810                                       ,
                  Array(false)                                        )
         initTabs('dhtmlgoodies_tabViewHPCC8'                        ,
                  Array('<b>&nbsp;TGCC&nbsp;/&nbsp;curie&nbsp;</b>',
                        '<b>&nbsp;IDRIS&nbsp;/&nbsp;ada&nbsp;</b>'  ),
                  0,1791,19810                                       ,
                  Array(false)                                        )

	</script>

    </body>

</html>
